Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStandardItem.ItemType

    java.lang.Object
      java.lang.Enum<QStandardItem.ItemType>
          com.trolltech.qt.gui.QStandardItem.ItemType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStandardItem.ItemType>

Enclosing class:
  QStandardItem

    public static enum QStandardItem.ItemType

extends java.lang.Enum<QStandardItem.ItemType>
implements QtEnumerator

This enum describes the types that are used to describe standard items.

You can define new user types in `QStandardItem` subclasses to ensure that custom items are treated specially; for example, when items are sorted.

See Also:
  `type`

Enum Constant Summary
`Type` The default type for standard items.
`UserType` The minimum value for custom types.

Method Summary
`static QStandardItem.ItemType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStandardItem.ItemType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStandardItem.ItemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Type

    public static final QStandardItem.ItemType Type

  The default type for standard items.

### UserType

    public static final QStandardItem.ItemType UserType

  The minimum value for custom types. Values below `UserType` are reserved by Qt.

Method Detail

### values

    public static final QStandardItem.ItemType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStandardItem.ItemType c : QStandardItem.ItemType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStandardItem.ItemType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStandardItem.ItemType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD